Robotsystem from Robot Group Leipzig: CompatSim Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CompatSim Class Reference

`#include <compatsim.h>`

Inheritance diagram for CompatSim:

[legend]
Collaboration diagram for CompatSim:

[legend]
List of all members.

## Detailed Description

Definition at line 45 of file compatsim.h.

## Public Member Functions
| CompatSim (void(*startFun)(const OdeHandle &, const OsgHandle &, GlobalData &globalData), void(*endFun)(GlobalData &globalData), void(*configFun)(GlobalData &globalData)=0, void(*commandFun)(const OdeHandle &, const OsgHandle &, GlobalData &globalData, int key)=0, void(*collCallbackFun)(const OdeHandle &, void *data, dGeomID o1, dGeomID o2)=0, void(*addCallbackFun)(GlobalData &globalData, bool draw, bool pause)=0)
virtual | ~CompatSim ()
virtual void | start (const OdeHandle &, const OsgHandle &, GlobalData &globalData)
| start() is called at the start and should create all the object (obstacles, agents...).
virtual void | end (GlobalData &globalData)
| end() is called at the end and should tidy up
virtual void | config (GlobalData &globalData)
| config() is called when the user presses Ctrl-C.
virtual void | command (const OdeHandle &, const OsgHandle &, GlobalData &globalData, int key)
virtual bool | collCallback (const OdeHandle &, void *data, dGeomID o1, dGeomID o2)
virtual void | addCallback (GlobalData &globalData, bool draw, bool pause)
| addCallback() optional additional callback function.
## Protected Attributes
void(* | startFun )(const OdeHandle &odeHandle, const OsgHandle &, GlobalData &globalData)
void(* | endFun )(GlobalData &globalData)
void(* | configFun )(GlobalData &globalData)
void(* | commandFun )(const OdeHandle &, const OsgHandle &, GlobalData &globalData, int key)
void(* | collCallbackFun )(const OdeHandle &, void *data, dGeomID o1, dGeomID o2)
void(* | addCallbackFun )(GlobalData &globalData, bool draw, bool pause)

## Constructor & Destructor Documentation

CompatSim | ( | void(*)(const OdeHandle &, const OsgHandle &, GlobalData &globalData) | startFun,
|  | void(*)(GlobalData &globalData) | endFun,
|  | void(*)(GlobalData &globalData) | configFun = `0`,
|  | void(*)(const OdeHandle &, const OsgHandle &, GlobalData &globalData, int key) | commandFun = `0`,
|  | void(*)(const OdeHandle &, void *data, dGeomID o1, dGeomID o2) | collCallbackFun = `0`,
|  | void(*)(GlobalData &globalData, bool draw, bool pause) | addCallbackFun = `0`
| ) |

| Definition at line 35 of file compatsim.cpp.

~CompatSim | ( |  | ) | `[virtual]`

| Definition at line 45 of file compatsim.cpp.

## Member Function Documentation

void addCallback | ( | GlobalData & | globalData,
|  | bool | draw,
|  | bool | pause
| ) | `[virtual]`

| addCallback() optional additional callback function. Reimplemented from Simulation. Definition at line 73 of file compatsim.cpp.

bool collCallback | ( | const OdeHandle & | ,
|  | void * | data,
|  | dGeomID | o1,
|  | dGeomID | o2
| ) | `[virtual]`

| Returns: true if collision is treated, false otherwise Reimplemented from Simulation. Definition at line 65 of file compatsim.cpp.

void command | ( | const OdeHandle & | ,
|  | const OsgHandle & | ,
|  | GlobalData & | globalData,
|  | int | key
| ) | `[virtual]`

| Definition at line 60 of file compatsim.cpp.

void config | ( | GlobalData & | globalData | ) | `[virtual]`

| config() is called when the user presses Ctrl-C. Default: Call changeParams(globalData.configs) Reimplemented from Simulation. Definition at line 56 of file compatsim.cpp.

void end | ( | GlobalData & | globalData | ) | `[virtual]`

| end() is called at the end and should tidy up Reimplemented from Simulation. Definition at line 52 of file compatsim.cpp.

void start | ( | const OdeHandle & | ,
|  | const OsgHandle & | ,
|  | GlobalData & | globalData
| ) | `[virtual]`

| start() is called at the start and should create all the object (obstacles, agents...). Implements Simulation. Definition at line 48 of file compatsim.cpp.

## Member Data Documentation

void(* addCallbackFun)(GlobalData &globalData, bool draw, bool pause)`[protected]`

void(* collCallbackFun)(const OdeHandle &, void *data, dGeomID o1, dGeomID o2)`[protected]`

void(* commandFun)(const OdeHandle &, const OsgHandle &, GlobalData &globalData, int key)`[protected]`

void(* configFun)(GlobalData &globalData)`[protected]`

void(* endFun)(GlobalData &globalData)`[protected]`

void(* startFun)(const OdeHandle &odeHandle, const OsgHandle &, GlobalData &globalData)`[protected]`